Get multiple term vectors
- POST also GET /{index}/_mtermvectors
- POST also GET /_mtermvectors
Get multiple term vectors with a single request.
You can specify existing documents by index and ID or provide artificial documents in the body of the request.
You can specify the index in the request body or request URI.
The response contains a docs array with all the fetched termvectors.
Each element has the structure provided by the termvectors API.
Artificial documents
You can also use mtermvectors to generate term vectors for artificial documents provided in the body of the request.
The mapping used is determined by the specified _index.
Required authorization
- Index privileges read
Query parameters
-
idsstring -
A comma-separated list of documents ids. You must define ids as parameter or set "ids" or "docs" in the request body
-
fieldsoneOf -
A comma-separated list or wildcard expressions of fields to include in the statistics. It is used as the default list unless a specific field list is provided in the
completion_fieldsorfielddata_fieldsparameters. -
field_statisticsboolean · default: true -
If
true, the response includes the document count, sum of document frequencies, and sum of total term frequencies. -
routingoneOf -
A custom value used to route operations to a specific shard. Not allowed when
index.slice.enabledistruefor the target index; use_sliceinstead. -
term_statisticsboolean · default: false -
If true, the response includes term frequency and document frequency.
-
version_type -
The version type.
Supported values include:
internal: Use internal versioning that starts at 1 and increments with each update or delete.external: Only index the document if the specified version is strictly higher than the version of the stored document or if there is no existing document.external_gte: Only index the document if the specified version is equal or higher than the version of the stored document or if there is no existing document. NOTE: Theexternal_gteversion type is meant for special use cases and should be used with care. If used incorrectly, it can result in loss of data.
-
Values:
internalexternalexternal_gte
Request body
-
docsobject -
An array of existing or artificial documents.
-
docobject -
An artificial document (a document not present in the index) for which you want to retrieve term vectors.
-
fieldsstring -
Comma-separated list or wildcard expressions of fields to include in the statistics. Used as the default list unless a specific field list is provided in the
completion_fieldsorfielddata_fieldsparameters. -
field_statisticsboolean · default: true -
If
true, the response includes the document count, sum of document frequencies, and sum of total term frequencies. -
term_statisticsboolean · default: false -
If true, the response includes term frequency and document frequency.
-
version_type -
Specific version type.
Supported values include:
internal: Use internal versioning that starts at 1 and increments with each update or delete.external: Only index the document if the specified version is strictly higher than the version of the stored document or if there is no existing document.external_gte: Only index the document if the specified version is equal or higher than the version of the stored document or if there is no existing document. NOTE: Theexternal_gteversion type is meant for special use cases and should be used with care. If used incorrectly, it can result in loss of data.
-
Values:
internalexternalexternal_gte